Bug 1706202 - Repositories that use glog/klog wrapper have no line info printed about debug logs
Summary: Repositories that use glog/klog wrapper have no line info printed about debug...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Clayton Coleman
QA Contact: sheng.lao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-03 19:14 UTC by Clayton Coleman
Modified: 2019-05-08 07:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Clayton Coleman 2019-05-03 19:14:04 UTC
CVO is using the glog klog wrapper, which loses line info on debug output:

I0503 18:58:44.927407       1 glog.go:58] Canceled worker 7
I0503 18:58:44.927413       1 glog.go:58] Canceled worker 5
I0503 18:58:44.927431       1 glog.go:58] Canceled worker 11
I0503 18:58:44.927440       1 glog.go:58] Canceled worker 8
I0503 18:58:44.927447       1 glog.go:58] Canceled worker 0
I0503 18:58:44.927446       1 glog.go:58] Canceled worker 12
I0503 18:58:44.927455       1 glog.go:58] Canceled worker 4
I0503 18:58:44.927457       1 glog.go:58] Canceled worker 14
I0503 18:58:44.927466       1 glog.go:58] Canceled worker 2

which means we have no debuggability.  All components that use this wrapper must switch to klog or be undebuggable.

Comment 2 sheng.lao 2019-05-08 07:45:10 UTC
1. Reproduce: launch a cluster with version: 4.1.0-0.nightly-2019-05-02-083226
# env |grep -i openshift
OPENSHIFT_INSTALL_RELEASE_IMAGE_OVERRIDE=registry.svc.ci.openshift.org/ocp/release:4.1.0-0.nightly-2019-05-02-083226

# oc logs  cluster-version-operator-54f68fd788-fv2nn -n openshift-cluster-version | grep "Finished syncing available updates"
I0508 07:21:25.114990       1 glog.go:58] Finished syncing available updates "openshift-cluster-version/version" (475.013579ms)
I0508 07:21:25.115078       1 glog.go:58] Finished syncing available updates "openshift-cluster-version/version" (70.116µs)
...

2. Verify: launch a cluster with version: 4.1.0-0.nightly-2019-05-07-201043
# oc logs cluster-version-operator-6d4864565-2cxn2 -n openshift-cluster-version | grep "Finished syncing available updates"
I0508 06:12:10.779643       1 cvo.go:398] Finished syncing available updates "openshift-cluster-version/version" (466.633304ms)
I0508 06:12:10.779716       1 cvo.go:398] Finished syncing available updates "openshift-cluster-version/version" (55.368µs)
...


Note You need to log in before you can comment on or make changes to this bug.